<?php


class debug
{
    public function __construct()
    {
        error_reporting(E_ALL);
        ini_set("display_errors", 1);
        ini_set("display_startup_errors", true);
    }
    

    public static function dump($target, bool $end = false)
    {
        echo "<pre>";
        var_dump($target);
        echo "</pre>";

        if ($end) {
            die();
        }
    }


    public static function dumpr($target, bool $end = false)
    {
        echo "<pre>";
        print_r($target);
        echo "</pre>";

        if ($end) {
            die();
        }
    }

    public static function session()
    {
       self::dumpr($_SESSION , true);
    }

}
